update policy (debian)

Discussion in 'Installation/Configuration' started by ac15, Feb 16, 2016.

  1. ac15

    ac15 Member

    my ispconfig server is well into production now, and it's running very smoothly despite the growing number of clients. i'm really happy with this system, and the support here on the forums is one of the best i've ever seen! thanks!!
    i have a question, though:
    how do you guys handle updates to the os and ispconfig itself? i'm a bit afraid of simply running apt-get upgrade and hoping for the best, since many of my customer websites depend on the current configuration. as of now, i always clone the server to test updates, but it's getting crowded and i can't check 30+ sites for possible errors. i'm less worried about the script that updates ispconfig, this thing appears to be rock-solid.
    i'm planning to implement the how-to about multiple php versions soon, and apply a fixed php version to all the sites. but is that enough to ensure that apt-upgrades are safe and don't break anything? do you have any recommendations on how updates should be handled?

  2. till

    till Super Moderator Staff Member ISPConfig Developer

    Debian has a very stable update policy and it does not overwrite config files, so you can just run "apt-get update" regularly to keep your system up to date.
    ac15 likes this.
  3. ztk.me

    ztk.me Active Member

    As system operator you should inform yourself about changes and wether they affect customers.
    For example if you upgrade apche from 2.2 to 2.4 get familiar with incompatibilities like directory protection in this case and inform your customers about the changes befor you apply them.
    Give them enough time to react and you'll be out of trouble.
    ac15 likes this.
  4. till

    till Super Moderator Staff Member ISPConfig Developer

    I think we should differentiate here between system updates (security updates) and system upgrades (new major versions of the Linux distributions). System updates are safe and get installed with "apt-get update), you should install them regularly. Distribution upgrades (like debian 7 to 8 upgrade with apt-get dist-upgrade) will install new major software versions like a switch from Apache 2.2 to 2.4 which might need modifications in the config files as ztk.me pointed out.
    ac15 likes this.
  5. ac15

    ac15 Member

    thanks for your replies.
    i was mainly concerned about updates to php, since a different php version may need code changes. but if these are excluded from security updates, it's not a problem. and if i do a dist-upgrade i can just clone the server and check which sites aren't working anymore.

Share This Page